<template>
  <div class="product">
    <img :src="imageUrl" />
    <div class="name">
      {{ name }}
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    imageUrl: String,
    name: String,
  },
});
</script>
<style scoped>
.product {
  flex: 1;
  max-width: 35vw;
  padding: 30% 10px 30% 10px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}
img {
  display: block;
  max-width: 25vw;
  margin-bottom: 10%;
}
name {
  text-align: center;
  max-width: 35vw;
}
</style>
